﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
'Custom View class 
#Event: ValueChanged (Value As Boolean)
#DesignerProperty: Key: CheckBoxValue, DisplayName: Checked, FieldType: Boolean, DefaultValue: False, Description: CheckBox value.
#DesignerProperty: Key: CheckBoxDotColor, DisplayName: Dot Color, FieldType: Color, DefaultValue: 0xFF5D5D5D, Description: CheckBox dot color.
Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mBase As Panel
	Private Const DefaultColorConstant As Int = -984833 'ignore
	Private dotPanel As Panel
	Private isValue As Boolean
	Private isOption As Boolean
	Private dotColorTrue, dotColorFalse As ColorDrawable
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
End Sub

Public Sub DesignerCreateView (Base As Panel, Lbl As Label, Props As Map)
	dotPanel.Initialize("dotPanel")
	mBase = Base
	isValue=Props.Get("CheckBoxValue")
	dotColorTrue.Initialize(Props.Get("CheckBoxDotColor"),3dip)
	dotColorFalse.Initialize(Colors.Transparent,8dip)
	If isValue = True Then
		dotPanel.Background = dotColorTrue
	Else
		dotPanel.Background = dotColorFalse
	End If
	mBase.Padding = Array As Int (5dip,5dip,5dip,5dip)
	mBase.AddView(dotPanel,0,0,mBase.Width, mBase.Height )
End Sub

Public Sub GetBase As Panel
	Return mBase
End Sub

Public Sub isChecked As Boolean
	Return isValue
End Sub

Public Sub Checked(Value As Boolean)
	isValue=Value
	If isValue=True Then
		dotPanel.Background = dotColorTrue
	Else
		dotPanel.Background = dotColorFalse
	End If
End Sub

Public Sub isOptionBox As Boolean
	Return isOption
End Sub

Public Sub OptionBox(Value As Boolean)
	isOption=Value
End Sub

Sub dotPanel_Click
	If (isValue=True And isOption=True) Then Return
	isValue=Not(isValue)
	If isValue=True Then
		dotPanel.Background = dotColorTrue
	Else
		dotPanel.Background = dotColorFalse
	End If
	If SubExists(mCallBack, mEventName & "_" & "ValueChanged") Then
		CallSub2(mCallBack, mEventName & "_" & "ValueChanged",isValue)	
	End If
End Sub